<?PHP
$m = 'State';
$berogui_path = "/usr/local/www/berogui";

/* [CHECKING SESSION] */
$newTarget = "/app/berogui/index.php?m=$m";
include($berogui_path .'/includes/session.php');
unset($newTarget);

/* [INCLUDE] */
include($berogui_path ."/includes/isgwtelnet.php");
include_once($berogui_path ."/includes/Helper/Helper.php");

$exec_ajax = 1;
$invalid = array();

/* [CHECKING GET REQUEST] */
unset($_GET);

/* [CHECKING POST REQUEST] */
$list_post = array('lif_gsm' => 'int>=0', 'port_gsm' => 'int>=0', 'port_isdn' => 'int>=0', 
	'reloadsip' => 'bool', 'reloadisdn' => 'bool', 'reloadgsm' => 'bool');

$_POST = Helper::sanitizePost($_POST, $list_post, $exec_ajax, $invalid);

/* [EXECUTING AJAX] */
if (!$exec_ajax) {
        echo "<script>window.location='../../index.php?m=$m&error=1&request={$invalid['request']}&checkor={$invalid['checkor']}&key={$invalid['key']}'</script>";
        exit(1);
}

$isgw = new isgwtelnet();
if (($result = $isgw->isgw_login()) == false) {
	echo "<script>window.location='../../index.php?m=$m&isgwerror=1'</script>";
	exit(1);
}

if ($_POST['reloadisdn'] == "true") {
	$isgw_response = $isgw->port_restart($_POST['port_isdn']);
	$restarted = ((preg_match('/OK/', $isgw_response) == 1) ? 1 : 0);
	if ($restarted == 1) {
		$response = '<div><img src="./includes/images/punkt_gruen.gif" style="padding-right: 10px"><font color="black">Port '.$_POST['port_isdn'].' - Restart successful</font></div>';
	} else {
		$response = '<div><img src="./includes/images/punkt_rot.gif" style="padding-right: 10px"><font color="black">Port '.$_POST['port_isdn'].' - Restart failed</font></div>';
	}
}

else if ($_POST['reloadgsm'] == "true") {
	$isgw_response = $isgw->port_restart_gsm($_POST['port_gsm'], $_POST['lif_gsm']);	
	$restarted = ((preg_match('/STARTED/', $isgw_response) == 1) ? 1 : 0); 
	if ($restarted == 1) {
		$response = '<div><img src="./includes/images/punkt_gruen.gif" style="padding-right: 10px"><font color="black">LI '.$_POST['lif_gsm'].' - Restart successful</font></div>';
	} else {
		$response = '<div><img src="./includes/images/punkt_rot.gif" style="padding-right: 10px"><font color="black">LI '.$_POST['lif_gsm'].' - Restart failed</font></div>';
	}
} 

else if ($_POST['reloadsip'] == "true") {
	$isgw_response = $isgw->isgw_sipreload();
	$restarted = ((preg_match('/reloaded/', $isgw_response) == 1) ? 1 : 0);
	if ($restarted == 1) {
		$response = '<div><img src="./includes/images/punkt_gruen.gif" style="padding-right: 10px"><font color="black">Reloading SIP successful</font></div>';
	} else {
		$response = '<div><img src="./includes/images/punkt_rot.gif" style="padding-right: 10px"><font color="black">Reloading SIP failed</font></div>';
	}
}

$response .= '<br/><div><input type="button" class="btn btn-default" value="OK" onClick="window.location.reload();"></div>';

echo "$response";

?>
